#
# spec file for package ktelemetrydemod (Version 0.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake docbook-dsssl-stylesheets docbook_3 fam freetype2 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         ktelemetrydemod
Copyright:    GPL
Group:        X11/Applications/Hamradio
Summary:      A tool for demodulating the BPSK signal from AO-40
Version:      0.9
Release:      84
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif

%description
A KDE2 application which reads audio data either from .WAV file or directly sound card, demodulates the 400bps BPSK telemetry signal and outputs data through a TCP/UDP network socket.
qtelemetryview is the application for viewing the data.

Authors:
--------
    Jens David <dg1kjd@afthd.tu-darmstadt.de> 
    

SuSE series: ham

%prep
%setup -n %{name}-%{version}
%patch

%build
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde2 \
 --mandir=%{_mandir} \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%files
%doc AUTHORS COPYING ChangeLog README TODO
/opt/kde2/bin/ktelemetrydemod
/opt/kde2/share/applnk/Applications/ktelemetrydemod.desktop
/opt/kde2/share/apps/ktelemetrydemod/AO40.fir
/opt/kde2/share/apps/ktelemetrydemod/icons/hicolor/22x22/actions/addinterface.png
/opt/kde2/share/apps/ktelemetrydemod/icons/hicolor/22x22/actions/delinterface.png
/opt/kde2/share/apps/ktelemetrydemod/icons/hicolor/22x22/actions/openlive.png
/opt/kde2/share/apps/ktelemetrydemod/icons/locolor/16x16/actions/addinterface.png
/opt/kde2/share/apps/ktelemetrydemod/icons/locolor/16x16/actions/delinterface.png
/opt/kde2/share/apps/ktelemetrydemod/icons/locolor/16x16/actions/openlive.png
/opt/kde2/share/apps/ktelemetrydemod/ktelemetrydemodui.rc
/opt/kde2/share/icons/locolor/16x16/apps/ktelemetrydemod.png
/opt/kde2/share/icons/locolor/32x32/apps/ktelemetrydemod.png

%changelog -n ktelemetrydemod
* Mon Aug 13 2001 - ro@suse.de
- fixed for new autoconf
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Jul 09 2001 - ro@suse.de
- added freetype2 to neededforbuild
* Thu Jul 05 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue May 08 2001 - cschmit@suse.de
- initial release (v0.9)
